<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['nositel-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['tip_izd'])) {puterror($result2['skin'],$TEXT['error-tip-izd1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['tip_izd'])>255) {puterror($result2['skin'],$TEXT['error-tip-izd2']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['position'])>5) {puterror($result2['skin'],$TEXT['error-booklang10']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['tip_izd'])) {$tip_izd=trim($_POST['tip_izd']);}
 else {$tip_izd ="";}
  if(empty($tip_izd)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['tip_izd'] = rep($_POST['tip_izd']);
$_POST['position'] = rep($_POST['position']);
$_POST['position'] = intval($_POST['position']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`tip_izd_id`) AS c_tip_izd_id FROM `tbl_tip_izd` WHERE `tip_izd`='".$_POST['tip_izd']."' AND use_prog='2' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_tip_izd_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-nositel1'];
  $what = $_POST['tip_izd'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_tip_izd` ( `tip_izd_id`, `tip_izd`, `position`, `use_prog` ) VALUES ( NULL, '".$_POST['tip_izd']."', ".$_POST['position'].", '2')";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl15']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>